// This file is a part of Simple Launcher
//
// Copyright (C) 2006, 2007, 2008 Mikhail Sobolev <mss@mawhrin.net>
//
// Simple Launcher is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 as published by
// the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 51
// Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#ifndef _APPLET_WRAPPER_H_
#define _APPLET_WRAPPER_H_

#include <libhildondesktop/hildon-desktop-home-item.h>

extern "C" {

typedef struct _SLAWrapper SLAWrapper;
typedef struct _SLAWrapperClass SLAWrapperClass;
typedef struct _SLAWrapperPrivate SLAWrapperPrivate;

#define SLA_TYPE_APPLET            (sla_wrapper_get_type())
#define SLA_APPLET(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), SLA_TYPE_APPLET, SLAWrapper))
#define SLA_APPLET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), SLA_TYPE_APPLET, SLAWrapperClass))
#define SLA_IS_APPLET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), SLA_TYPE_APPLET))
#define SLA_IS_APPLET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), SLA_TYPE_APPLET))
#define SLA_APPLET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), SLA_TYPE_APPLET, SLAWrapperClass))

struct _SLAWrapper {
  HildonDesktopHomeItem parent;
  SLAWrapperPrivate *priv;
};

struct _SLAWrapperClass {
  HildonDesktopHomeItemClass parent_class;
};

  GType sla_wrapper_get_type(void);

};

#endif

// vim:ts=2:sw=2:et
